Get a single custom KPI by id
GET
https://core.shopimind.com/v1/custom-stats/kpis/{id}
Parameters
Header Parameters
spm-api-key*
[Authentication] Required API key.
Type
Requiredstring
Pattern
"^[a-zA-Z0-9-]{20,64}$"Path Parameters
id*
Type
Requiredstring
Responses
application/json
JSON "id_custom_kpi": "string", "id_shop": 0, "name": { }, "description": { }, "measures": [ { "id_measure": "string", "type": "string", "field": "string", "label": { }, "chart_types": [ [ ] ], "position": 0 } ], "source_type": "string", "source_schema_name": "string", "source_table_name": "string", "relations_chain": [ [ ] ], "dimension_field": "string", "secondary_dimension_field": "string", "time_field": "string", "filters": { }, "status": "string", "last_event_run_at": "string", "last_error": "string", "lookback_max_months": 0, "created_at": "string", "updated_at": "string"
{
}
Get a single custom KPI by id GET /v1/custom-stats/kpis/{id} CustomKpiController_getOne Custom KPIs spm-api-key [Authentication] Required API key. id Client error - Invalid request or authentication issues Server error - Internal processing failure